<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File: 		functions.php
* @Package:		GetSimple
* @Action:		CleanBlogGh theme for GetSimple CMS
*
*****************************************************/

/**
 * This return get_component() function in a string
 *
 * @param string $id - ID of the component
 * @return string
 */
function return_get_component($id)
{
	ob_start();
	get_component($id);
	$html = ob_get_clean();

	return $html;
}

/**
 * This return get_component() function in a string
 *
 * @param string $id - ID of the component
 * @return string
 */
function cbg_get_navigation( $currentpage , $classPrefix = '' )
{
	$menu = '';
	global $pagesArray;

	$pagesSorted = subval_sort($pagesArray,'menuOrder');

	$pagesSorted_final = array();

	// Define main navigation links
	foreach( $pagesSorted as $page )
	{
		if( empty($page['parent']) and $page['menuStatus'] == 'Y' )
		{
			$page['_childs'] = array();
			$pagesSorted_final[ $page['url'] ] = $page;
		}
	}

	// Define sub navigation links
	foreach( $pagesSorted as $page )
	{
		if( ! empty($page['parent']) and $page['menuStatus'] == 'Y' )
		{
			$pagesSorted_final[ $page['parent'] ]['_childs'][$page['url']] = $page;
		}
	}

	// Finally, build menu
	foreach( $pagesSorted_final as $page )
	{
		if( count($page['_childs']) == 0 )
			$menu .= cbg_ret_sample_menu_item( $currentpage, $page );
		else
			$menu .= cbg_ret_complex_menu_item( $currentpage, $page );
	}

	echo exec_filter('menuitems',$menu);
}

/**
 * Return sample menu item HTML
 *
 * @param array $page - item data
 * @return string
 */
function cbg_ret_sample_menu_item( $currentpage, $page )
{
	if ($page['menu'] == '') { $page['menu'] = $page['title']; }
	if ($page['title'] == '') { $page['title'] = $page['menu']; }

	if( $currentpage == $page['url'] )
		$classes = ' current active ';
	else
		$classes = '';

	return '<li class="nav-item"><a class="nav-link ' . $classes . '" href="'. find_url($page['url'],$page['parent']) . '" title="'. encode_quotes(cl($page['title'])) .'">'.strip_decode($page['menu']).'</a></li>'."\n";
}

/**
 * Return HTML of menu item with childs
 *
 * @param array $page - item data
 * @return string
 */
function cbg_ret_complex_menu_item( $currentpage, $page )
{
	if ($page['menu'] == '') { $page['menu'] = $page['title']; }
	if ($page['title'] == '') { $page['title'] = $page['menu']; }

	if( $currentpage == $page['url'] )
		$classes = ' current active ';
	else
		$classes = '';

	// '. find_url($page['url'],$page['parent']) . '

	$ret_html = '<li class="nav-item dropdown">
	  <a href="#" class="nav-link dropdown-toggle ' . $classes . '" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false" title="'. encode_quotes(cl($page['title'])) .'">'.strip_decode($page['menu']).' <span class="caret"></span></a>
	  <ul class="dropdown-menu">';

	  // First item is the parent item
	  $ret_html .= '<li><a class="' . $classes . '" href="'. find_url($page['url'],$page['parent']) . '" title="'. encode_quotes(cl($page['title'])) .'">'.strip_decode($page['menu']) . '</a></li>';
	  $ret_html .= '<li role="separator" class="divider"></li>';


	// For each Child
	foreach( $page['_childs'] as $sub_page )
	{
		if ($sub_page['menu'] == '') { $sub_page['menu'] = $sub_page['title']; }
		if ($sub_page['title'] == '') { $sub_page['title'] = $sub_page['menu']; }

		if( $currentpage == $sub_page['url'] )
			$classes = ' current active ';
		else
			$classes = '';

		$ret_html .= '<li><a class="' . $classes . '" href="'. find_url($sub_page['url'],$sub_page['parent']) . '" title="'. encode_quotes(cl($sub_page['title'])) .'">'.strip_decode($sub_page['menu']) . '</a></li>';
	}

	$ret_html .= '
	  </ul>
	</li>';

	return $ret_html;
}