<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File:      template.php
* @Package:   GetSimple
* @Action:    CleanBlogGh theme for GetSimple CMS
*
*****************************************************/
?><!DOCTYPE html>
<html <?php /* lang="en" */ ?> >

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title><?php get_page_clean_title(); ?> &lt; <?php get_site_name(); ?></title>

    <!-- Bootstrap core CSS -->
    <link href="<?php get_theme_url(); ?>/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="<?php get_theme_url(); ?>/vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>

    <!-- Custom styles for this template -->
    <link href="<?php get_theme_url(); ?>/css/clean-blog.min.css?v=1-5" rel="stylesheet">
    <!-- <link href="<?php get_theme_url(); ?>/css/clean-blog.css?v=1-4" rel="stylesheet"> -->

    <?php get_header(); ?>

  </head>
  <body id="<?php get_page_slug(); ?>" >

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand" href="<?php get_site_url(); ?>"><?php get_site_name(); ?></a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <?php cbg_get_navigation(return_page_slug(),'nav-item '); ?>
            <?php /* get_navigation(return_page_slug(),'nav-item '); */ ?>
            <?php /* <li class="nav-item"> <a class="nav-link" href="index.html">Home</a></li> */ ?>
          </ul>
        </div>
      </div>
    </nav>

    <!-- Page Header -->

    <header class="masthead" style="background-image: url('<?php get_component('cbg-head-bg-image'); ?>">
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-10 mx-auto">
            <div class="site-heading">
              <h1><?php get_page_title(); ?></h1>
              <?php /* <span class="subheading">SubTitle</span> */ ?>
            </div>
          </div>
        </div>
      </div>
    </header>

    <?php
      $tmp_html_sidebar = return_get_component('sidebar');
    ?>

    <!-- Main Content -->
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-10 <?php if( empty($tmp_html_sidebar) ) { echo 'mx-auto'; } ?>">
          <?php get_page_content(); ?>
          <?php get_page_date(' jS F'); ?>
        </div>
        <?php if( ! empty($tmp_html_sidebar) ): ?>
          <div class="col-lg-4 col-md-2">
            <?php echo $tmp_html_sidebar; // get_component('sidebar'); ?>
          </div>
        <?php endif; ?>
      </div>
    </div>

    <hr>

    <!-- Footer -->
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-10 mx-auto">
            <?php
              $tmp_url_email = return_get_component('cbg-url-email');
              $tmp_url_facebook = return_get_component('cbg-url-facebook');
              $tmp_url_twitter = return_get_component('cbg-url-twitter');
              $tmp_url_instagram = return_get_component('cbg-url-instagram');
            ?>
            <ul class="list-inline text-center">
              <!-- Email =================================== -->
              <?php if( ! empty($tmp_url_email) ): ?>
                <li class="list-inline-item">
                  <a href="mailto:<?php echo $tmp_url_email; ?>">
                    <span class="fa-stack fa-lg">
                      <i class="fa fa-circle fa-stack-2x"></i>
                      <i class="fa fa-envelope fa-stack-1x fa-inverse"></i>
                    </span>
                  </a>
                </li>
              <?php endif; ?>
              <!-- Facebook =================================== -->
              <?php if( ! empty($tmp_url_facebook) ): ?>
                <li class="list-inline-item">
                  <a href="<?php echo $tmp_url_facebook; ?>" target="_blank">
                    <span class="fa-stack fa-lg">
                      <i class="fa fa-circle fa-stack-2x"></i>
                      <i class="fa fa-facebook fa-stack-1x fa-inverse"></i>
                    </span>
                  </a>
                </li>
              <?php endif; ?>
              <!-- Twitter =================================== -->
              <?php if( ! empty($tmp_url_twitter) ): ?>
                <li class="list-inline-item">
                  <a href="<?php echo $tmp_url_twitter; ?>" target="_blank">
                    <span class="fa-stack fa-lg">
                      <i class="fa fa-circle fa-stack-2x"></i>
                      <i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
                    </span>
                  </a>
                </li>
              <?php endif; ?>
              <!-- Instagram =================================== -->
              <?php if( ! empty($tmp_url_instagram) ): ?>
                <li class="list-inline-item">
                  <a href="<?php echo $tmp_url_instagram; ?>" target="_blank">
                    <span class="fa-stack fa-lg">
                      <i class="fa fa-circle fa-stack-2x"></i>
                      <i class="fa fa-instagram fa-stack-1x fa-inverse"></i>
                    </span>
                  </a>
                </li>
              <?php endif; ?>
            </ul>
            <p class="copyright text-muted">Copyright &copy; <?php get_site_name(); ?> <?php echo date('Y'); ?></p>
          </div>
        </div>
      </div>
    </footer>

    <!-- Bootstrap core JavaScript -->
    <script src="<?php get_theme_url(); ?>/vendor/jquery/jquery.min.js"></script>
    <script src="<?php get_theme_url(); ?>/vendor/popper/popper.min.js"></script>
    <script src="<?php get_theme_url(); ?>/vendor/bootstrap/js/bootstrap.min.js"></script>

    <!-- Custom scripts for this template -->
    <script src="<?php get_theme_url(); ?>/js/clean-blog.min.js?v=1-5"></script>
    <!-- <script src="<?php get_theme_url(); ?>/js/clean-blog.js"></script> -->


  </body>

</html>
